Bug 1267853 - [nedit] requires lesstif instead of motif
[nedit] requires lesstif instead of motif
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nedit (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 04:48 EDT by Joachim Frieben
Modified: 2016-12-20 09:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:50:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Frieben 2015-10-01 04:48:02 EDT
Description of problem:
The official Motif library landed in the Fedora package repository three years ago. Unlike packages like dx, package nedit still depends on lesstif which is a broken, incomplete and abandoned implementation of Motif.

Version-Release number of selected component (if applicable):
nedit-5.6-1.fc23

How reproducible:
Always.

Steps to Reproduce:
1. Install package nedit.

Actual results:
Package lesstif will be pulled in.

Expected results:
Package motif gets pulled in.

Additional info:
- A locally built package nedit depending on motif (actually, lesstif-(devel) has been replaced by motif-(devel) in the spec file) works as expected.
- Package lesstif should be removed from Fedora altogether since even its own developers urge users to move to Motif.
Comment 1 Joachim Frieben 2015-10-04 03:11:41 EDT
* Fri Oct 02 2015 Jon Ciesla <limburgher gmail com> - 5.6-2 - Move from lesstif to motif

Please rebuild for Fedora 23, too. Thanks!
Comment 2 Joachim Frieben 2015-11-29 05:28:35 EST
* Fri Oct 16 2015 Kalev Lember <klember redhat com> - 5.1.25-3 - Rebuilt for libXm soname bump

Now, that grace has been rebuilt for Motif, the required package nedit should really be updated, too, thanks!
Comment 3 Fedora End Of Life 2016-11-24 07:40:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 09:50:16 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.